Summary: A commonly used, MIME compliant mail and news reader.
Name: pine
Version: 4.10.Maildir.libc5
%define pine_version 4.10
Release: 2
Copyright: distributable
Url: http://www.washington.edu/pine
Packager:Dave Weiner <davew@webmast.com>
Vendor:WebMasters, Inc. <http://www.webmast.com/open-source/>
Group: Applications/Internet
Source0: ftp://ftp.cac.washington.edu/pine/pine%{pine_version}.tar.bz2
Source1: pine.wmconfig
Patch0: pine4.10-glibc.patch.bz2
# XXX is sigchild patch still necessary???
Patch3: pine-3.96-sigchld.patch.bz2
Patch5: pine-4.02-filter.patch.bz2
Patch6: pine4.04-noflock.patch.bz2
Patch7:	pine4.05-ioctl.patch.bz2
Patch8: maildir980721.patch.bz2
Patch9: pine4.00-pine-maildir.patch.bz2

Buildroot: /var/tmp/pine-root

%description
Pine is a very popular, easy to use, full-featured email user agent
which includes a simple text editor called pico. Pine supports MIME
extensions and can also be used to read news.  Pine also supports
IMAP, mail, MH and Maildir style folders.

Pine should be installed because Pine is a very commonly used email
user agent and it is currently in development.

This release also contains a Maildir format patch written by Mattias Larsson
<ml@techno.org> available at http://www.freeit.com/mta

%prep
%setup -q -n pine%{pine_version}
%patch0 -p1 -b .glibc
# termios patch1 done
# lock patch2 done
# XXX is sigchild patch still necessary???
#%patch3 -p1 -b .sigchld
# resize patch4 done
%patch5 -p1 -b .filter
%patch6 -p1 -b .noflock
%patch7 -p1 -b .ioctl
%patch8 -p1 -b .maildir
%patch9 -p1 -b .pine-md

# this wants /usr/local/bin/perl
chmod 644 contrib/utils/pwd2pine

perl -p -i -e "s/-g -fno-omit-frame-pointer -O6/$RPM_OPT_FLAGS/" imap/src/osdep/unix/Makefile

%build
./build \
	DEBUG="" \
	OPTIMIZE="$RPM_OPT_FLAGS" \
	BASECFLAGS="$RPM_OPT_FLAGS" \
	EXTRACFLAGS="-DIGNORE_LOCK_EACCES_ERRORS" slx

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/doc $RPM_BUILD_ROOT/usr/lib
install -m 644 doc/mime.types $RPM_BUILD_ROOT/usr/lib/mime.types
for n in pine pico pilot; do
    install -m 755 -s bin/$n $RPM_BUILD_ROOT/usr/bin/$n
done

cd doc
for n in pine.1 pico.1 pilot.1; do
    install -m 644 $n $RPM_BUILD_ROOT/usr/man/man1
done
mkdir -p $RPM_BUILD_ROOT/etc
cat <<EOF > $RPM_BUILD_ROOT/etc/pine.conf
#
# Pine system-wide defaults file -- customize as needed.
#
# This file sets the system-wide configuration defaults used by Pine.
# If you have questions about specific settings see the section on
# configuration options in the Pine notes.  On Unix, run pine -conf to
# see how system defaults have been set.  For variables that accept
# multiple values, list elements are separated by commas.  A line
# beginning with a space or tab is considered to be a continuation of
# the previous line.  For a variable to be unset its value must be
# blank.  To set a variable to the empty string its value should be
# "". Switch variables are set to either "yes" or "no", and default to
# "no".  Lines beginning with "#" are comments, and ignored by Pine.

EOF
cat <<EOF > $RPM_BUILD_ROOT/etc/pine.conf.fixed
#
# Pine system-wide enforced configuration file - customize as needed
#
# This file holds the system-wide enforced values for pine configuration
# settings. Any values set in it will override values set in the
# system-wide default configuration file (/usr/lib/pine.conf) and
# the user's own configuration file (~/.pinerc).
# For more information on the format of this file, read the
# comments at the top of /usr/lib/pine.conf

EOF

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 $RPM_SOURCE_DIR/pine.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/pine


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CPYRIGHT doc/*.txt doc/pine-ports doc/tech-notes doc/mailcap.unx contrib
/usr/bin/pine
/usr/bin/pico
/usr/bin/pilot
/usr/man/man1/pico.1.bz2
/usr/man/man1/pine.1.bz2
/usr/man/man1/pilot.1.bz2
%attr(0644,root,root)	%config /usr/lib/mime.types
%attr(0644,root,root)	%config /etc/pine.conf
%attr(0644,root,root)	%config /etc/pine.conf.fixed
%attr(0644,root,root)	%config(missingok) /etc/X11/wmconfig/pine

%changelog
* Mon Jul 12 1999 Dave Weiner <davew@webmast.com>
- Added Packager and Vendor tags to the spec file, and rebuilt

* Tue Jul 06 1999 Dave Weiner <davew@webmast.com>
- Added support for qmail Maildir style folders using the patches developed
  for the Pine 4.04 rpm available at ftp://summersoft.fay.ar.us
- Versions built under libc5 on a Red Hat 4.2 system and glibc on a Mandrake
  Linux 6.0 system

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Feb 26 1999 Cristian Gafton <gafton@redhat.com>
- fix buildroot and add cleanup section
- move config files to /etc/pine.conf

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- turned off .pine-debugX files

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Fri Nov 13 1998 Cristian Gafton <gafton@redhat.com>
- patch to enable SIGWINCH processing (why do the pine folks keep 
  disabling this stuff?!)

* Fri Oct 09 1998 Cristian Gafton <gafton@redhat.com>
- use termios instead of termio (patch used to be in here...)
- use terminfo instead of termcap and link against ncurses instead of termcap
- supply -lcrypt as a standard lib

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- upgrade to 4.04 (compatibility with some client imaps).

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- use only fcntl locking.

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.03

* Fri Aug 14 1998 Jeff Johnson <jbj@redhat.com>
- patch to 4.02A.
- disable stupid EACCESS warnings.

* Wed Jul 22 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.02.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jan 15 1998 Erik Troan <ewt@redhat.com>
- added patch to fix pine filters

* Tue Dec 30 1997 Erik Troan <ewt@redhat.com>
- fixed resizing in pine and pico

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>
- removed patch for SIGCHLD race -- it shouldn't be necessary
- added patch to avoid longjmp() from SIGCHLD handler -- SIGCHLD handling
  is sane now

* Thu Dec 11 1997 Cristian Gafton <gafton@redhat.com>
- added a patch for handling a SIGCHLD race condition

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- fix for locks w/ long st_dev field
- use termios rather then termio

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- removed exec bit from /usr/doc/pine-3.96-1/contrib/utils/pwd2pine
